function PieChartInit(in_page) {
   var chart = in_page.GetItem("pie");
   var data = [
      {
        Value: 100,
        Color: 0xF7464AFF,
      },
      {
        Value: 100,
        Color: 0x46BFBDFF,
      },
      {
        Value: 100,
        Color: 0xFDB45CFF,
      }
   ];
   chart.Data = data;
   
   IR.AddListener(IR.EVENT_TOUCH_MOVE, in_page.GetItem("level_1"), function() {
      var value = in_page.GetItem("level_1").Value;
      data[0].Value = value;
      chart.Data = data;
   });
   IR.AddListener(IR.EVENT_TOUCH_MOVE, in_page.GetItem("level_2"), function() {
      var value = in_page.GetItem("level_2").Value;
      data[1].Value = value;
      chart.Data = data;
   });
   IR.AddListener(IR.EVENT_TOUCH_MOVE, in_page.GetItem("level_3"), function() {
      var value = in_page.GetItem("level_3").Value;
      data[2].Value = value;
      chart.Data = data;
   });
   
   IR.AddListener(IR.EVENT_MOUSE_MOVE, in_page.GetItem("level_1"), function() {
      var value = in_page.GetItem("level_1").Value;
      data[0].Value = value;
      chart.Data = data;
   });
   IR.AddListener(IR.EVENT_MOUSE_MOVE, in_page.GetItem("level_2"), function() {
      var value = in_page.GetItem("level_2").Value;
      data[1].Value = value;
      chart.Data = data;
   });
   IR.AddListener(IR.EVENT_MOUSE_MOVE, in_page.GetItem("level_3"), function() {
      var value = in_page.GetItem("level_3").Value;
      data[2].Value = value;
      chart.Data = data;
   });
   
   IR.AddListener(IR.EVENT_ITEM_RELEASE, in_page.GetItem("level_1"), function() {
      var value = in_page.GetItem("level_1").Value;
      data[0].Value = value;
      chart.Data = data;
   });
   IR.AddListener(IR.EVENT_ITEM_RELEASE, in_page.GetItem("level_2"), function() {
      var value = in_page.GetItem("level_2").Value;
      data[1].Value = value;
      chart.Data = data;
   });
   IR.AddListener(IR.EVENT_ITEM_RELEASE, in_page.GetItem("level_3"), function() {
      var value = in_page.GetItem("level_3").Value;
      data[2].Value = value;
      chart.Data = data;
   });          
}