function BarChartInit(in_page) {
	var chart1 = in_page.GetItem("bar1");
   var chart2 = in_page.GetItem("bar2");
   var chart3 = in_page.GetItem("bar3");
   
	var data = {
		Labels : ["Value"],
		Datasets : [{
				FillColor : 0x0099CC80,
				StrokeColor : 0x0099CCFF,
				Data : [100]
			}, {
				FillColor : 0x9933CC80,
				StrokeColor : 0x9933CCFF,
				Data : [100]
			}, {
				FillColor : 0xFF33CC80,
				StrokeColor : 0xFF33CCFF,
				Data : [100]
			},{
				FillColor : 0x0099CC80,
				StrokeColor : 0x0099CCFF,
				Data : [100]
			}, {
				FillColor : 0x9933CC80,
				StrokeColor : 0x9933CCFF,
				Data : [100]
			}, {
				FillColor : 0xFF33CC80,
				StrokeColor : 0xFF33CCFF,
				Data : [100]
			},{
				FillColor : 0x0099CC80,
				StrokeColor : 0x0099CCFF,
				Data : [100]
			}, {
				FillColor : 0x9933CC80,
				StrokeColor : 0x9933CCFF,
				Data : [100]
			}
		]
	};
   
   function ChartTouch (bar, value) {
      data.Datasets[bar].Data[0] = value;
      chart1.Data = data;
      chart2.Data = data;
      chart3.Data = data;
   }

	chart1.Type = 1;
	chart1.Data = data;
   chart1.StrokeWidth = 3;
	chart1.BarGap = 1;
	chart1.SetGap = 8;
	chart1.GridColor = 0xFF0000FF;
	chart1.GridStep = 25;
	chart1.ShiftX = 10;
	chart1.TextColor = 0xFF0000FF;
   
	chart2.Type = 2;
	chart2.Data = data;

	chart3.Type = 3;
	chart3.Data = data;

   IR.AddListener(IR.EVENT_TOUCH_MOVE, in_page.GetItem("level_1"), function() {
      ChartTouch(0, in_page.GetItem("level_1").Value);
   });
   IR.AddListener(IR.EVENT_MOUSE_MOVE, in_page.GetItem("level_1"), function() {
      ChartTouch(0, in_page.GetItem("level_1").Value);
   });
   IR.AddListener(IR.EVENT_ITEM_RELEASE, in_page.GetItem("level_1"), function() {
      ChartTouch(0, in_page.GetItem("level_1").Value);
   });
   
   IR.AddListener(IR.EVENT_TOUCH_MOVE, in_page.GetItem("level_2"), function() {
      ChartTouch(1, in_page.GetItem("level_2").Value);
   });
   IR.AddListener(IR.EVENT_MOUSE_MOVE, in_page.GetItem("level_2"), function() {
      ChartTouch(1, in_page.GetItem("level_2").Value);
   });
   IR.AddListener(IR.EVENT_ITEM_RELEASE, in_page.GetItem("level_2"), function() {
      ChartTouch(1, in_page.GetItem("level_2").Value);
   });
   
   IR.AddListener(IR.EVENT_TOUCH_MOVE, in_page.GetItem("level_3"), function() {
      ChartTouch(2, in_page.GetItem("level_3").Value);
   });
   IR.AddListener(IR.EVENT_MOUSE_MOVE, in_page.GetItem("level_3"), function() {
      ChartTouch(2, in_page.GetItem("level_3").Value);
   });
   IR.AddListener(IR.EVENT_ITEM_RELEASE, in_page.GetItem("level_3"), function() {
      ChartTouch(2, in_page.GetItem("level_3").Value);
   });   
   
   IR.AddListener(IR.EVENT_TOUCH_MOVE, in_page.GetItem("level_4"), function() {
      ChartTouch(3, in_page.GetItem("level_4").Value);
   });
   IR.AddListener(IR.EVENT_MOUSE_MOVE, in_page.GetItem("level_4"), function() {
      ChartTouch(3, in_page.GetItem("level_4").Value);
   });
   IR.AddListener(IR.EVENT_ITEM_RELEASE, in_page.GetItem("level_4"), function() {
      ChartTouch(3, in_page.GetItem("level_4").Value);
   });   
   
   IR.AddListener(IR.EVENT_TOUCH_MOVE, in_page.GetItem("level_5"), function() {
      ChartTouch(4, in_page.GetItem("level_5").Value);
   });
   IR.AddListener(IR.EVENT_MOUSE_MOVE, in_page.GetItem("level_5"), function() {
      ChartTouch(4, in_page.GetItem("level_5").Value);
   });
   IR.AddListener(IR.EVENT_ITEM_RELEASE, in_page.GetItem("level_5"), function() {
      ChartTouch(4, in_page.GetItem("level_5").Value);
   });
   
   IR.AddListener(IR.EVENT_TOUCH_MOVE, in_page.GetItem("level_6"), function() {
      ChartTouch(5, in_page.GetItem("level_6").Value);
   });
   IR.AddListener(IR.EVENT_MOUSE_MOVE, in_page.GetItem("level_6"), function() {
      ChartTouch(5, in_page.GetItem("level_6").Value);
   });
   IR.AddListener(IR.EVENT_ITEM_RELEASE, in_page.GetItem("level_6"), function() {
      ChartTouch(5, in_page.GetItem("level_6").Value);
   });
   
   IR.AddListener(IR.EVENT_TOUCH_MOVE, in_page.GetItem("level_7"), function() {
      ChartTouch(6, in_page.GetItem("level_7").Value);
   });
   IR.AddListener(IR.EVENT_MOUSE_MOVE, in_page.GetItem("level_7"), function() {
      ChartTouch(6, in_page.GetItem("level_7").Value);
   });
   IR.AddListener(IR.EVENT_ITEM_RELEASE, in_page.GetItem("level_7"), function() {
      ChartTouch(6, in_page.GetItem("level_7").Value);
   });
   
   IR.AddListener(IR.EVENT_TOUCH_MOVE, in_page.GetItem("level_8"), function() {
      ChartTouch(7, in_page.GetItem("level_8").Value);
   });
   IR.AddListener(IR.EVENT_MOUSE_MOVE, in_page.GetItem("level_8"), function() {
      ChartTouch(7, in_page.GetItem("level_8").Value);
   });
   IR.AddListener(IR.EVENT_ITEM_RELEASE, in_page.GetItem("level_8"), function() {
      ChartTouch(7, in_page.GetItem("level_8").Value);
   });            
}
